Index: trunk/CONFIG/GYRE/scripts/BB_make
===================================================================
--- trunk/CONFIG/GYRE/scripts/BB_make	(revision 784)
+++ trunk/CONFIG/GYRE/scripts/BB_make	(revision 789)
@@ -120,5 +120,4 @@
      key_mpp_dyndist \
      key_mpp_mpi \
-     key_mpp_omp \
      key_mpp_shmem \
      key_noslip_accurate \
@@ -208,5 +207,4 @@
 		$(MODEL_LIB)(dyncor1d.o)\
 		$(MODEL_LIB)(dynhpg.o)\
-		$(MODEL_LIB)(dynhpg_jki.o)\
 		$(MODEL_LIB)(dynkeg.o)\
 		$(MODEL_LIB)(dynldf.o)\
@@ -219,11 +217,8 @@
 		$(MODEL_LIB)(dynspg.o)\
 		$(MODEL_LIB)(dynspg_exp.o)\
-		$(MODEL_LIB)(dynspg_exp_jki.o)\
 		$(MODEL_LIB)(dynspg_flt.o)\
-		$(MODEL_LIB)(dynspg_flt_jki.o)\
 		$(MODEL_LIB)(dynspg_oce.o)\
 		$(MODEL_LIB)(dynspg_rl.o)\
 		$(MODEL_LIB)(dynspg_ts.o)\
-		$(MODEL_LIB)(dynspg_ts_jki.o)\
 		$(MODEL_LIB)(dynvor.o)\
 		$(MODEL_LIB)(dynzad.o)\
@@ -231,5 +226,4 @@
 		$(MODEL_LIB)(dynzdf_exp.o)\
 		$(MODEL_LIB)(dynzdf_imp.o)\
-		$(MODEL_LIB)(dynzdf_imp_jki.o)\
 		$(MODEL_LIB)(eosbn2.o)\
 		$(MODEL_LIB)(flo4rk.o)\
@@ -325,5 +319,4 @@
 		$(MODEL_LIB)(traadv.o)\
 		$(MODEL_LIB)(traadv_cen2.o)\
-		$(MODEL_LIB)(traadv_cen2_jki.o)\
 		$(MODEL_LIB)(traadv_eiv.o)\
 		$(MODEL_LIB)(traadv_muscl.o)\
@@ -347,5 +340,4 @@
 		$(MODEL_LIB)(trazdf_exp.o)\
 		$(MODEL_LIB)(trazdf_imp.o)\
-		$(MODEL_LIB)(trazdf_imp_jki.o)\
 		$(MODEL_LIB)(trc_oce.o)\
 		$(MODEL_LIB)(trcstp.o)\
@@ -369,5 +361,4 @@
 		$(MODEL_LIB)(zdfric.o)\
 		$(MODEL_LIB)(zdftke.o)\
-		$(MODEL_LIB)(zdftke_jki.o)\
 		$(MODEL_LIB)(zpshde.o)
 
@@ -2477,5 +2468,4 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -2496,5 +2486,4 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lbclnk.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -2514,5 +2503,4 @@
 	zdf_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynhpg_jki.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -2523,5 +2511,4 @@
 	$(MODEL_LIB)(trdmod_oce.o) \
 	dom_oce.F90 \
-	dynhpg_jki.F90 \
 	in_out_manager.F90 \
 	lbclnk.F90 \
@@ -2535,33 +2522,4 @@
 	KEY_CPP \
 	dynhpg.F90
-$(MODEL_LIB)(dynhpg_jki.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	oce.F90 \
-	phycst.F90 \
-	domzgr_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	dynhpg_jki.F90
 $(MODEL_LIB)(dynkeg.o) :	\
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3051,8 +3009,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(domvvl.o) \
-	$(MODEL_LIB)(dynspg_exp.o) \
-	$(MODEL_LIB)(dynspg_flt.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(dynspg_ts.o) \
 	$(MODEL_LIB)(dynvor.o) \
 	$(MODEL_LIB)(flxrnf.o) \
@@ -3097,8 +3052,5 @@
 	dom_oce.F90 \
 	domvvl.F90 \
-	dynspg_exp.F90 \
-	dynspg_flt.F90 \
 	dynspg_oce.F90 \
-	dynspg_ts.F90 \
 	dynvor.F90 \
 	flxrnf.F90 \
@@ -3141,11 +3093,8 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_exp.o) \
-	$(MODEL_LIB)(dynspg_exp_jki.o) \
 	$(MODEL_LIB)(dynspg_flt.o) \
-	$(MODEL_LIB)(dynspg_flt_jki.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(dynspg_rl.o) \
 	$(MODEL_LIB)(dynspg_ts.o) \
-	$(MODEL_LIB)(dynspg_ts_jki.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(obc_oce.o) \
@@ -3156,11 +3105,8 @@
 	dom_oce.F90 \
 	dynspg_exp.F90 \
-	dynspg_exp_jki.F90 \
 	dynspg_flt.F90 \
-	dynspg_flt_jki.F90 \
 	dynspg_oce.F90 \
 	dynspg_rl.F90 \
 	dynspg_ts.F90 \
-	dynspg_ts_jki.F90 \
 	in_out_manager.F90 \
 	obc_oce.F90 \
@@ -3278,107 +3224,4 @@
 	KEY_CPP \
 	dynspg_exp.F90
-$(MODEL_LIB)(dynspg_exp_jki.o) :	\
-	$(MODEL_LIB)(blk_oce.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dtasal.o) \
-	$(MODEL_LIB)(dtasss.o) \
-	$(MODEL_LIB)(dtasst.o) \
-	$(MODEL_LIB)(dtatem.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(eosbn2.o) \
-	$(MODEL_LIB)(flx_oce.o) \
-	$(MODEL_LIB)(flxmod.o) \
-	$(MODEL_LIB)(flxrnf.o) \
-	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ini1d.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(obc_oce.o) \
-	$(MODEL_LIB)(obc_par.o) \
-	$(MODEL_LIB)(obccli.o) \
-	$(MODEL_LIB)(obcdta.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(ocesbc.o) \
-	$(MODEL_LIB)(ocfzpt.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	$(MODEL_LIB)(taumod.o) \
-	$(MODEL_LIB)(tradmp.o) \
-	$(MODEL_LIB)(trdmld_oce.o) \
-	$(MODEL_LIB)(zpshde.o) \
-	blk_oce.F90 \
-	cpl_oce.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
-	dtasal.F90 \
-	dtasss.F90 \
-	dtasst.F90 \
-	dtatem.F90 \
-	dynspg_oce.F90 \
-	eosbn2.F90 \
-	flx_oce.F90 \
-	flxmod.F90 \
-	flxrnf.F90 \
-	ice_oce.F90 \
-	in_out_manager.F90 \
-	ini1d.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	obc_oce.F90 \
-	obc_par.F90 \
-	obccli.F90 \
-	obcdta.F90 \
-	oce.F90 \
-	ocesbc.F90 \
-	ocfzpt.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	taumod.F90 \
-	tradmp.F90 \
-	trdmld_oce.F90 \
-	zpshde.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_exp.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(obc_oce.o) \
-	$(MODEL_LIB)(obc_par.o) \
-	$(MODEL_LIB)(obcdta.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(ocesbc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	dynspg_exp.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	obc_oce.F90 \
-	obc_par.F90 \
-	obcdta.F90 \
-	oce.F90 \
-	ocesbc.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	domzgr_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	dynspg_exp_jki.F90
 $(MODEL_LIB)(dynspg_flt.o) :	\
 	$(MODEL_LIB)(blk_oce.o) \
@@ -3531,163 +3374,4 @@
 	KEY_CPP \
 	dynspg_flt.F90
-$(MODEL_LIB)(dynspg_flt_jki.o) :	\
-	$(MODEL_LIB)(agrif_opa_interp.o) \
-	$(MODEL_LIB)(blk_oce.o) \
-	$(MODEL_LIB)(cla_dynspg.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(domvvl.o) \
-	$(MODEL_LIB)(dtasal.o) \
-	$(MODEL_LIB)(dtasss.o) \
-	$(MODEL_LIB)(dtasst.o) \
-	$(MODEL_LIB)(dtatem.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(eosbn2.o) \
-	$(MODEL_LIB)(flx_oce.o) \
-	$(MODEL_LIB)(flxmod.o) \
-	$(MODEL_LIB)(flxrnf.o) \
-	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ini1d.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(iom_def.o) \
-	$(MODEL_LIB)(iom_ioipsl.o) \
-	$(MODEL_LIB)(iom_nf90.o) \
-	$(MODEL_LIB)(iom_rstdimg.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_feti.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(obc_oce.o) \
-	$(MODEL_LIB)(obc_par.o) \
-	$(MODEL_LIB)(obccli.o) \
-	$(MODEL_LIB)(obcdyn.o) \
-	$(MODEL_LIB)(obcvol.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(ocesbc.o) \
-	$(MODEL_LIB)(ocfzpt.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	$(MODEL_LIB)(sol_oce.o) \
-	$(MODEL_LIB)(solfet.o) \
-	$(MODEL_LIB)(solisl.o) \
-	$(MODEL_LIB)(solmat.o) \
-	$(MODEL_LIB)(solpcg.o) \
-	$(MODEL_LIB)(solsor.o) \
-	$(MODEL_LIB)(solver.o) \
-	$(MODEL_LIB)(taumod.o) \
-	$(MODEL_LIB)(tradmp.o) \
-	$(MODEL_LIB)(trdmld_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zpshde.o) \
-	agrif_opa_interp.F90 \
-	blk_oce.F90 \
-	cla_dynspg.F90 \
-	cpl_oce.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
-	domvvl.F90 \
-	dtasal.F90 \
-	dtasss.F90 \
-	dtasst.F90 \
-	dtatem.F90 \
-	dynspg_oce.F90 \
-	eosbn2.F90 \
-	flx_oce.F90 \
-	flxmod.F90 \
-	flxrnf.F90 \
-	ice_oce.F90 \
-	in_out_manager.F90 \
-	ini1d.F90 \
-	iom.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	lib_feti.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	obc_oce.F90 \
-	obc_par.F90 \
-	obccli.F90 \
-	obcdyn.F90 \
-	obcvol.F90 \
-	oce.F90 \
-	ocesbc.F90 \
-	ocfzpt.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	sol_oce.F90 \
-	solfet.F90 \
-	solisl.F90 \
-	solmat.F90 \
-	solpcg.F90 \
-	solsor.F90 \
-	solver.F90 \
-	taumod.F90 \
-	tradmp.F90 \
-	trdmld_oce.F90 \
-	zdf_oce.F90 \
-	zpshde.F90 \
-	$(MODEL_LIB)(agrif_opa_interp.o) \
-	$(MODEL_LIB)(cla_dynspg.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_flt.o) \
-	$(MODEL_LIB)(flxrnf.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(obc_oce.o) \
-	$(MODEL_LIB)(obcdyn.o) \
-	$(MODEL_LIB)(obcvol.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(ocesbc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	$(MODEL_LIB)(sol_oce.o) \
-	$(MODEL_LIB)(solfet.o) \
-	$(MODEL_LIB)(solmat.o) \
-	$(MODEL_LIB)(solpcg.o) \
-	$(MODEL_LIB)(solsor.o) \
-	$(MODEL_LIB)(solver.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	agrif_opa_interp.F90 \
-	cla_dynspg.F90 \
-	dom_oce.F90 \
-	dynspg_flt.F90 \
-	flxrnf.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	obc_oce.F90 \
-	obcdyn.F90 \
-	obcvol.F90 \
-	oce.F90 \
-	ocesbc.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	sol_oce.F90 \
-	solfet.F90 \
-	solmat.F90 \
-	solpcg.F90 \
-	solsor.F90 \
-	solver.F90 \
-	zdf_oce.F90 \
-	domzgr_substitute.h90 \
-	$(AGRIF_LIB) \
-	KEY_CPP \
-	dynspg_flt_jki.F90
 $(MODEL_LIB)(dynspg_oce.o) :	\
 	$(MODEL_LIB)(par_kind.o) \
@@ -3926,135 +3610,4 @@
 	KEY_CPP \
 	dynspg_ts.F90
-$(MODEL_LIB)(dynspg_ts_jki.o) :	\
-	$(MODEL_LIB)(blk_oce.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(domvvl.o) \
-	$(MODEL_LIB)(dtasal.o) \
-	$(MODEL_LIB)(dtasss.o) \
-	$(MODEL_LIB)(dtasst.o) \
-	$(MODEL_LIB)(dtatem.o) \
-	$(MODEL_LIB)(dynadv.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(dynvor.o) \
-	$(MODEL_LIB)(eosbn2.o) \
-	$(MODEL_LIB)(flx_oce.o) \
-	$(MODEL_LIB)(flxmod.o) \
-	$(MODEL_LIB)(flxrnf.o) \
-	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ini1d.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(iom_def.o) \
-	$(MODEL_LIB)(iom_ioipsl.o) \
-	$(MODEL_LIB)(iom_nf90.o) \
-	$(MODEL_LIB)(iom_rstdimg.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(obc_oce.o) \
-	$(MODEL_LIB)(obc_par.o) \
-	$(MODEL_LIB)(obccli.o) \
-	$(MODEL_LIB)(obcdta.o) \
-	$(MODEL_LIB)(obcfla.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(ocesbc.o) \
-	$(MODEL_LIB)(ocfzpt.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	$(MODEL_LIB)(taumod.o) \
-	$(MODEL_LIB)(tradmp.o) \
-	$(MODEL_LIB)(trdmld_oce.o) \
-	$(MODEL_LIB)(trdmod.o) \
-	$(MODEL_LIB)(trdmod_oce.o) \
-	$(MODEL_LIB)(zpshde.o) \
-	blk_oce.F90 \
-	cpl_oce.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
-	domvvl.F90 \
-	dtasal.F90 \
-	dtasss.F90 \
-	dtasst.F90 \
-	dtatem.F90 \
-	dynadv.F90 \
-	dynspg_oce.F90 \
-	dynvor.F90 \
-	eosbn2.F90 \
-	flx_oce.F90 \
-	flxmod.F90 \
-	flxrnf.F90 \
-	ice_oce.F90 \
-	in_out_manager.F90 \
-	ini1d.F90 \
-	iom.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	obc_oce.F90 \
-	obc_par.F90 \
-	obccli.F90 \
-	obcdta.F90 \
-	obcfla.F90 \
-	oce.F90 \
-	ocesbc.F90 \
-	ocfzpt.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	taumod.F90 \
-	tradmp.F90 \
-	trdmld_oce.F90 \
-	trdmod.F90 \
-	trdmod_oce.F90 \
-	zpshde.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(dynspg_ts.o) \
-	$(MODEL_LIB)(dynvor.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(obc_oce.o) \
-	$(MODEL_LIB)(obc_par.o) \
-	$(MODEL_LIB)(obcdta.o) \
-	$(MODEL_LIB)(obcfla.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(ocesbc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	dynspg_ts.F90 \
-	dynvor.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	obc_oce.F90 \
-	obc_par.F90 \
-	obcdta.F90 \
-	obcfla.F90 \
-	oce.F90 \
-	ocesbc.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	domzgr_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	dynspg_ts_jki.F90
 $(MODEL_LIB)(dynvor.o) :	\
 	$(MODEL_LIB)(dom_oce.o) \
@@ -4239,5 +3792,4 @@
 	$(MODEL_LIB)(dynzdf_exp.o) \
 	$(MODEL_LIB)(dynzdf_imp.o) \
-	$(MODEL_LIB)(dynzdf_imp_jki.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
@@ -4252,5 +3804,4 @@
 	dynzdf_exp.F90 \
 	dynzdf_imp.F90 \
-	dynzdf_imp_jki.F90 \
 	in_out_manager.F90 \
 	ldfdyn_oce.F90 \
@@ -4349,45 +3900,4 @@
 	KEY_CPP \
 	dynzdf_imp.F90
-$(MODEL_LIB)(dynzdf_imp_jki.o) :	\
-	$(MODEL_LIB)(cpl_oasis3.o) \
-	$(MODEL_LIB)(cpl_oasis4.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(geo2ocean.o) \
-	$(MODEL_LIB)(ice.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	cpl_oasis3.F90 \
-	cpl_oasis4.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
-	geo2ocean.F90 \
-	ice.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	lib_print.f90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(taumod.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	oce.F90 \
-	phycst.F90 \
-	taumod.F90 \
-	zdf_oce.F90 \
-	domzgr_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	dynzdf_imp_jki.F90
 $(MODEL_LIB)(eosbn2.o) :	\
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5366,11 +4876,8 @@
 	$(MODEL_LIB)(domvvl.o) \
 	$(MODEL_LIB)(dynspg_exp.o) \
-	$(MODEL_LIB)(dynspg_exp_jki.o) \
 	$(MODEL_LIB)(dynspg_flt.o) \
-	$(MODEL_LIB)(dynspg_flt_jki.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(dynspg_rl.o) \
 	$(MODEL_LIB)(dynspg_ts.o) \
-	$(MODEL_LIB)(dynspg_ts_jki.o) \
 	$(MODEL_LIB)(dynvor.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -5420,11 +4927,8 @@
 	domvvl.F90 \
 	dynspg_exp.F90 \
-	dynspg_exp_jki.F90 \
 	dynspg_flt.F90 \
-	dynspg_flt_jki.F90 \
 	dynspg_oce.F90 \
 	dynspg_rl.F90 \
 	dynspg_ts.F90 \
-	dynspg_ts_jki.F90 \
 	dynvor.F90 \
 	eosbn2.F90 \
@@ -7429,5 +6933,4 @@
 	$(MODEL_LIB)(zdfric.o) \
 	$(MODEL_LIB)(zdftke.o) \
-	$(MODEL_LIB)(zdftke_jki.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	agrif_opa_sponge.F90 \
@@ -7550,5 +7053,4 @@
 	zdfric.F90 \
 	zdftke.F90 \
-	zdftke_jki.F90 \
 	zpshde.F90 \
 	$(MODEL_LIB)(cpl.o) \
@@ -8008,5 +7510,4 @@
 	$(MODEL_LIB)(dynadv_cen2.o) \
 	$(MODEL_LIB)(dynadv_ubs.o) \
-	$(MODEL_LIB)(dynhpg_jki.o) \
 	$(MODEL_LIB)(dynkeg.o) \
 	$(MODEL_LIB)(dynldf_bilap.o) \
@@ -8015,15 +7516,11 @@
 	$(MODEL_LIB)(dynldf_lap.o) \
 	$(MODEL_LIB)(dynspg_exp.o) \
-	$(MODEL_LIB)(dynspg_exp_jki.o) \
 	$(MODEL_LIB)(dynspg_flt.o) \
-	$(MODEL_LIB)(dynspg_flt_jki.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(dynspg_rl.o) \
 	$(MODEL_LIB)(dynspg_ts.o) \
-	$(MODEL_LIB)(dynspg_ts_jki.o) \
 	$(MODEL_LIB)(dynzad.o) \
 	$(MODEL_LIB)(dynzdf_exp.o) \
 	$(MODEL_LIB)(dynzdf_imp.o) \
-	$(MODEL_LIB)(dynzdf_imp_jki.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(flo4rk.o) \
@@ -8081,5 +7578,4 @@
 	$(MODEL_LIB)(taumod.o) \
 	$(MODEL_LIB)(traadv_cen2.o) \
-	$(MODEL_LIB)(traadv_cen2_jki.o) \
 	$(MODEL_LIB)(traadv_eiv.o) \
 	$(MODEL_LIB)(traadv_muscl.o) \
@@ -8098,5 +7594,4 @@
 	$(MODEL_LIB)(trazdf_exp.o) \
 	$(MODEL_LIB)(trazdf_imp.o) \
-	$(MODEL_LIB)(trazdf_imp_jki.o) \
 	$(MODEL_LIB)(trc_oce.o) \
 	$(MODEL_LIB)(trdicp_oce.o) \
@@ -8134,5 +7629,4 @@
 	dynadv_cen2.F90 \
 	dynadv_ubs.F90 \
-	dynhpg_jki.F90 \
 	dynkeg.F90 \
 	dynldf_bilap.F90 \
@@ -8141,15 +7635,11 @@
 	dynldf_lap.F90 \
 	dynspg_exp.F90 \
-	dynspg_exp_jki.F90 \
 	dynspg_flt.F90 \
-	dynspg_flt_jki.F90 \
 	dynspg_oce.F90 \
 	dynspg_rl.F90 \
 	dynspg_ts.F90 \
-	dynspg_ts_jki.F90 \
 	dynzad.F90 \
 	dynzdf_exp.F90 \
 	dynzdf_imp.F90 \
-	dynzdf_imp_jki.F90 \
 	eosbn2.F90 \
 	flo4rk.F90 \
@@ -8207,5 +7697,4 @@
 	taumod.F90 \
 	traadv_cen2.F90 \
-	traadv_cen2_jki.F90 \
 	traadv_eiv.F90 \
 	traadv_muscl.F90 \
@@ -8224,5 +7713,4 @@
 	trazdf_exp.F90 \
 	trazdf_imp.F90 \
-	trazdf_imp_jki.F90 \
 	trc_oce.F90 \
 	trdicp_oce.F90 \
@@ -8319,5 +7807,4 @@
 	$(MODEL_LIB)(zdfric.o) \
 	$(MODEL_LIB)(zdftke.o) \
-	$(MODEL_LIB)(zdftke_jki.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	agrif_opa_sponge.F90 \
@@ -8402,5 +7889,4 @@
 	zdfric.F90 \
 	zdftke.F90 \
-	zdftke_jki.F90 \
 	zpshde.F90 \
 	domzgr_substitute.h90 \
@@ -8432,5 +7918,4 @@
 	$(MODEL_LIB)(dynzdf_exp.o) \
 	$(MODEL_LIB)(dynzdf_imp.o) \
-	$(MODEL_LIB)(dynzdf_imp_jki.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(flx_oce.o) \
@@ -8469,5 +7954,4 @@
 	$(MODEL_LIB)(trazdf_exp.o) \
 	$(MODEL_LIB)(trazdf_imp.o) \
-	$(MODEL_LIB)(trazdf_imp_jki.o) \
 	$(MODEL_LIB)(trc_oce.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
@@ -8502,5 +7986,4 @@
 	dynzdf_exp.F90 \
 	dynzdf_imp.F90 \
-	dynzdf_imp_jki.F90 \
 	eosbn2.F90 \
 	flx_oce.F90 \
@@ -8539,5 +8022,4 @@
 	trazdf_exp.F90 \
 	trazdf_imp.F90 \
-	trazdf_imp_jki.F90 \
 	trc_oce.F90 \
 	trdmld_oce.F90 \
@@ -8825,5 +8307,4 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(traadv_cen2.o) \
-	$(MODEL_LIB)(traadv_cen2_jki.o) \
 	$(MODEL_LIB)(traadv_eiv.o) \
 	$(MODEL_LIB)(traadv_muscl.o) \
@@ -8839,5 +8320,4 @@
 	prtctl.F90 \
 	traadv_cen2.F90 \
-	traadv_cen2_jki.F90 \
 	traadv_eiv.F90 \
 	traadv_muscl.F90 \
@@ -8932,5 +8412,46 @@
 	KEY_CPP \
 	traadv_cen2.F90
-$(MODEL_LIB)(traadv_cen2_jki.o) :	\
+$(MODEL_LIB)(traadv_eiv.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(ldfdyn_oce.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	ldfdyn_oce.F90 \
+	ldftra_oce.F90 \
+	lib_print.f90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	prtctl.F90 \
+	zdfmxl.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(ldfslp.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	oce.F90 \
+	domzgr_substitute.h90 \
+	ldfeiv_substitute.h90 \
+	ldftra_substitute.h90 \
+	vectopt_loop_substitute.h90 \
+	KEY_CPP \
+	traadv_eiv.F90
+$(MODEL_LIB)(traadv_muscl.o) :	\
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -8986,10 +8507,8 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(flxrnf.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(ocfzpt.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(trabbl.o) \
@@ -8999,10 +8518,8 @@
 	dom_oce.F90 \
 	dynspg_oce.F90 \
-	flxrnf.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	ocfzpt.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	oce.F90 \
 	prtctl.F90 \
 	trabbl.F90 \
@@ -9012,47 +8529,6 @@
 	vectopt_loop_substitute.h90 \
 	KEY_CPP \
-	traadv_cen2_jki.F90
-$(MODEL_LIB)(traadv_eiv.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(ldfdyn_oce.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldfdyn_oce.F90 \
-	ldftra_oce.F90 \
-	lib_print.f90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	oce.F90 \
-	domzgr_substitute.h90 \
-	ldfeiv_substitute.h90 \
-	ldftra_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	traadv_eiv.F90
-$(MODEL_LIB)(traadv_muscl.o) :	\
+	traadv_muscl.F90
+$(MODEL_LIB)(traadv_muscl2.o) :	\
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -9130,6 +8606,6 @@
 	vectopt_loop_substitute.h90 \
 	KEY_CPP \
-	traadv_muscl.F90
-$(MODEL_LIB)(traadv_muscl2.o) :	\
+	traadv_muscl2.F90
+$(MODEL_LIB)(traadv_qck.o) :	\
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -9185,8 +8661,10 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(flxrnf.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(ocfzpt.o) \
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(trabbl.o) \
@@ -9196,8 +8674,10 @@
 	dom_oce.F90 \
 	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
+	flxrnf.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	oce.F90 \
+	ocfzpt.F90 \
 	prtctl.F90 \
 	trabbl.F90 \
@@ -9207,6 +8687,6 @@
 	vectopt_loop_substitute.h90 \
 	KEY_CPP \
-	traadv_muscl2.F90
-$(MODEL_LIB)(traadv_qck.o) :	\
+	traadv_qck.F90
+$(MODEL_LIB)(traadv_tvd.o) :	\
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -9262,85 +8742,4 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(flxrnf.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(ocfzpt.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(trdmod.o) \
-	$(MODEL_LIB)(trdmod_oce.o) \
-	diaptr.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	flxrnf.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	ocfzpt.F90 \
-	prtctl.F90 \
-	trabbl.F90 \
-	trdmod.F90 \
-	trdmod_oce.F90 \
-	domzgr_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	traadv_qck.F90
-$(MODEL_LIB)(traadv_tvd.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dianam.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(eosbn2.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(taumod.o) \
-	$(MODEL_LIB)(trdicp.o) \
-	$(MODEL_LIB)(trdicp_oce.o) \
-	$(MODEL_LIB)(trdmld.o) \
-	$(MODEL_LIB)(trdmld_oce.o) \
-	$(MODEL_LIB)(trdmod.o) \
-	$(MODEL_LIB)(trdmod_oce.o) \
-	$(MODEL_LIB)(trdvor.o) \
-	$(MODEL_LIB)(trdvor_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	taumod.F90 \
-	trdicp.F90 \
-	trdicp_oce.F90 \
-	trdmld.F90 \
-	trdmld_oce.F90 \
-	trdmod.F90 \
-	trdmod_oce.F90 \
-	trdvor.F90 \
-	trdvor_oce.F90 \
-	zdf_oce.F90 \
-	$(MODEL_LIB)(diaptr.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -9670,5 +9069,4 @@
 	$(MODEL_LIB)(trazdf_exp.o) \
 	$(MODEL_LIB)(trazdf_imp.o) \
-	$(MODEL_LIB)(trazdf_imp_jki.o) \
 	$(MODEL_LIB)(trdicp.o) \
 	$(MODEL_LIB)(trdicp_oce.o) \
@@ -9703,5 +9101,4 @@
 	trazdf_exp.F90 \
 	trazdf_imp.F90 \
-	trazdf_imp_jki.F90 \
 	trdicp.F90 \
 	trdicp_oce.F90 \
@@ -10501,5 +9898,4 @@
 	$(MODEL_LIB)(trazdf_exp.o) \
 	$(MODEL_LIB)(trazdf_imp.o) \
-	$(MODEL_LIB)(trazdf_imp_jki.o) \
 	$(MODEL_LIB)(trdmod.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
@@ -10519,5 +9915,4 @@
 	trazdf_exp.F90 \
 	trazdf_imp.F90 \
-	trazdf_imp_jki.F90 \
 	trdmod.F90 \
 	trdmod_oce.F90 \
@@ -10670,77 +10065,4 @@
 	KEY_CPP \
 	trazdf_imp.F90
-$(MODEL_LIB)(trazdf_imp_jki.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(ldfdyn_oce.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(taumod.o) \
-	$(MODEL_LIB)(trdicp.o) \
-	$(MODEL_LIB)(trdicp_oce.o) \
-	$(MODEL_LIB)(trdmld.o) \
-	$(MODEL_LIB)(trdmld_oce.o) \
-	$(MODEL_LIB)(trdmod_oce.o) \
-	$(MODEL_LIB)(trdvor.o) \
-	$(MODEL_LIB)(trdvor_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldfdyn_oce.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	taumod.F90 \
-	trdicp.F90 \
-	trdicp_oce.F90 \
-	trdmld.F90 \
-	trdmld_oce.F90 \
-	trdmod_oce.F90 \
-	trdvor.F90 \
-	trdvor_oce.F90 \
-	zdf_oce.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(trdmod.o) \
-	$(MODEL_LIB)(trdmod_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	oce.F90 \
-	prtctl.F90 \
-	trdmod.F90 \
-	trdmod_oce.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	domzgr_substitute.h90 \
-	ldftra_substitute.h90 \
-	zdf.matrixsolver.h90 \
-	zdfddm_substitute.h90 \
-	KEY_CPP \
-	trazdf_imp_jki.F90
 $(MODEL_LIB)(trc_oce.o) :	\
 	$(MODEL_LIB)(par_kind.o) \
@@ -11630,85 +10952,4 @@
 	KEY_CPP \
 	zdftke.F90
-$(MODEL_LIB)(zdftke_jki.o) :	\
-	$(MODEL_LIB)(blk_oce.o) \
-	$(MODEL_LIB)(cpl_oasis3.o) \
-	$(MODEL_LIB)(cpl_oasis4.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynzdf_exp.o) \
-	$(MODEL_LIB)(eosbn2.o) \
-	$(MODEL_LIB)(geo2ocean.o) \
-	$(MODEL_LIB)(ice.o) \
-	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ini1d.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	$(MODEL_LIB)(taumod.o) \
-	$(MODEL_LIB)(trazdf_exp.o) \
-	$(MODEL_LIB)(trdmld_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zpshde.o) \
-	blk_oce.F90 \
-	cpl_oasis3.F90 \
-	cpl_oasis4.F90 \
-	cpl_oce.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynzdf_exp.F90 \
-	eosbn2.F90 \
-	geo2ocean.F90 \
-	ice.F90 \
-	ice_oce.F90 \
-	in_out_manager.F90 \
-	ini1d.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	taumod.F90 \
-	trazdf_exp.F90 \
-	trdmld_oce.F90 \
-	zdf_oce.F90 \
-	zpshde.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	$(MODEL_LIB)(taumod.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdftke.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	taumod.F90 \
-	zdf_oce.F90 \
-	zdftke.F90 \
-	domzgr_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	zdftke_jki.F90
 $(MODEL_LIB)(zpshde.o) :	\
 	$(MODEL_LIB)(dom_oce.o) \
